Skip to main content
GET
/
organizations
List organizations
curl --request GET \
  --url https://dashboard.hologram.io/api/1/organizations \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 2,
  "size": 2,
  "continues": true,
  "links": {
    "path": "/api/1/organizations",
    "base": "staging.teamhologram.ninja",
    "next": "/api/1/organizations?limit=2&startafter=60796"
  },
  "lastid": 60796,
  "data": [
    {
      "id": 60797,
      "name": "Holly Graham's Org",
      "is_personal": 0,
      "ownerid": 52303,
      "users": [
        {
          "id": 52303,
          "permissions": [
            "org_management",
            "billing",
            "activation",
            "changeplan",
            "sbconfig",
            "sbtunnel",
            "deactivate",
            "billing_visible"
          ],
          "first": "Holly Graham",
          "last": "Joanna",
          "email": "procurement@hlgresearch.com"
        }
      ],
      "ccemails": "",
      "pending": [],
      "proplan": 1,
      "invoice_text": "",
      "preflight_timeout_in_days": 365
    },
    {
      "id": 60796,
      "name": "Holly's Personal Account",
      "is_personal": 1,
      "ownerid": 52303,
      "users": [
        {
          "id": 52303,
          "permissions": [
            "org_management",
            "billing",
            "activation",
            "changeplan",
            "sbconfig",
            "sbtunnel",
            "deactivate",
            "billing_visible"
          ],
          "first": "Holly",
          "last": "Graham",
          "email": "procurement@hlgresearch.com"
        }
      ],
      "ccemails": "",
      "pending": [],
      "proplan": 1,
      "invoice_text": "",
      "preflight_timeout_in_days": 365
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

deleted
boolean
id
integer
personal_for
number
limit
integer

Maximum number of items to return in a single request. For endpoints that support pagination, use this with corresponding /pages endpoints to manage large result sets.

Example:

50

Response

200 - application/json

OK

continues
boolean

Displays if there is another page of results.

Example:

true

data
object[]
limit
integer

The max number of items to return in a single response

Example:

10

Pagination navigation links for fetching additional pages of results

size
integer

The number of values returned

Example:

216

success
boolean

Whether the request was successful or not

Example:

true